#======================================================================
#
# Defaults for GODI options:
#
# Please do not change this file! It is generated anyway, so your
# preferences will be lost when the next software update is done.
# The right place for your options is the godi.conf file.

# ************************************************************************
# NOTE TO PEOPLE EDITING THIS FILE - USE LEADING SPACES, NOT LEADING TABS.
# ************************************************************************

#
# The following values are used to manage the packages collection as a whole.
#

#ABI=	
# The ABI to be used, if supported by the Operating System and/or compiler.
# Currently only used under IRIX and explicitly set during bootstrapping
# Onlye change this if you really know what you're doing -- libraries of
# one ABI can not be linked with libraries of another!
# Possible: 64 (64 bit ABI), 32 (SGI's N32 ABI), undefined (SGI's old o32 ABI)
# Default: determined during bootstrapping

PKGSRC_RUN_TEST?=	no
# Run test target before install
# Possible: yes, no
# Default: no

#WRKOBJDIR=	/usr/tmp
# build here instead of in pkgsrc
# Possible: any path
# Default: not defined

LOCALBASE?=	/usr/pkg
# Where non-X-based packages will be installed
# Possible: any path
# Default: /usr/pkg

DISTDIR?=	${_PKGSRCDIR}/distfiles
# Directory where original distribution
# files are stored.
# Possible: any path you like
# Default: /usr/pkgsrc/distfiles

PACKAGES?=       ${_PKGSRCDIR}/packages
# Store generated packages on a per-architecture base
# Possible: any path you like
# Default: /usr/pkgsrc/packages

PATCH_FUZZ_FACTOR?= -F0
# Fuzz factor to use when applying patches.  Will only be applied when
# using a patch(1) that understands -F.  This should be a "?="
# setting, since package Makefiles may set this value, before
# /etc/mk.conf is read.
# Possible: "-Fn" where n is a number, none
# Default: "-F0"

#PATCH_DEBUG=
# Used to debug patches as they are applied
# Possible: defined, not defined
# Default: not defined

#LOCALPATCHES=...
# Directory where local patches are stored. See pkgsrc/Packages.txt.
# Possible: Any local directory
# Default: none

#
#	Overrides for faster or cheaper sites.
#
#	Refer to http://www.netbsd.org/Sites/net.html or /usr/doc/MIRRORS
#	for information on determining the location of NetBSD mirror sites.
#

#----------------------------------------------------------------------
# User options
#----------------------------------------------------------------------

SEARCH_LIBS+=	 /usr
SEARCH_LIBS+=	 /usr/local
SEARCH_LIBS+=	 /usr/pkg
SEARCH_LIBS+=	 /opt/pkg
SEARCH_LIBS+=	 /opt/local
SEARCH_LIBS+=	 /opt/sfw
SEARCH_LIBS+=	 /sw
SEARCH_LIBS+=	 /cw
# The directories mentioned in SEARCH_LIBS are searched for system
# libraries. There should be "include" and "lib" subdirectories.
# If you set SEARCH_LIBS in godi.conf, these directories will be
# searched before the default directories defined here.
#
# The X11 tree needs not to be mentioned here.
#
# References:
# /usr:       Default for system-wide libraries
# /usr/local: Additions of the local site; also FreeBSD, Sun Freeware
# /usr/pkg:   NetBSD
# /opt/pkg:   NPC's installation of the NetBSD pkgsrc system
# /opt/sfw:   Sun Freeware, alternate location
# /opt/local: Darwinports, MacPorts (MacOS X)
# /sw:        Fink (MacOS X)
# /cw:	     OpenPKG default location

.if defined(SEARCH_LIBS_OVERRIDE)
SEARCH_LIBS=	${SEARCH_LIBS_OVERRIDE}
.endif
# If you define SEARCH_LIBS_OVERRIDE, you can override the whole
# SEARCH_LIBS path instead of just prepending to it.

#----------------------------------------------------------------------
# Development options
#----------------------------------------------------------------------

#OCAML_BOOTSTRAP
# If set, the bootstrap cycle is performed once. This is
# a good test whether the compiler works

GODI_PKG_DEFAULTS=defined
