# $Id: console.mk 799 2008-06-03 15:13:33Z gerd $
#
# This is an auxiliary Makefile used by programs of the
# godi-tools collection.
#
# Copyright 2004 by Gerd Stolpmann.
#
# This file is part of godi-tools.
#
# godi-tools is free software; you can redistribute it and/or modify it
# under the conditions in the file LICENSE.
#
# godi-tools is distributed WITHOUT ANY WARRANTY, as detailed in the
# file LICENSE.

.if exists(${.PARSEDIR}/bsd.pkg.mk)
.include "${.PARSEDIR}/bsd.pkg.mk"
.SILENT:
.else
# We need some bootstrapping...
_godi_confdir!= godi_confdir
.include "${_godi_confdir}/../build/mk/bsd.pkg.mk"
.endif

# Note: We include bsd.pkg.mk and not bsd.prefs.mk because FETCH_CMD etc.
# are defined in the first file. Of course, this should be changed.

BUILD_BASE := ${LOCALBASE}/build
BUILD_FILES := ${BUILD_BASE}/buildfiles

self := ${.PARSEDIR}/godi_tools.mk

# Initialize GODI_BUILD_SITES. We can always assume we know GODI_BUILD_SITE,
# as this is set by bootstrap. GODI_BUILD_SITES may be undef for old
# godi-core-mk versions.

GODI_BUILD_SITES ?= ${GODI_BUILD_SITE}

#----------------------------------------------------------------------
# Entry: get_sites
# Outputs the names of the GODI sites
#----------------------------------------------------------------------

.PHONY: get_sites

get_sites:
	@echo "${GODI_BUILD_SITES}"


#----------------------------------------------------------------------
# Entry: print-pkgtools-version
# Just outputs the contents of PKGTOOLS_VERSION which is normally set
# in bsd.prefs.mk
#----------------------------------------------------------------------

print-pkgtools-version:
	@${ECHO} ${PKGTOOLS_VERSION}
