# Definitions for the Cygwin environment:
# Note these are also used for the Win32 environments using Cygwin for
# scripting, e.g. mingw.

.include "${.PARSEDIR}/defs.cmd.mk"

CC=	${GCC}
XARGS=	${XARGS_EXE} -r
PKGLOCALEDIR=	share

CPP_PRECOMP_FLAGS?=
DEF_UMASK?=		0022

EXPORT_SYMBOLS_LDFLAGS?=

ULIMIT_CMD_datasize?=	ulimit -d `ulimit -H -d`
ULIMIT_CMD_stacksize?=	ulimit -s `ulimit -H -s`
ULIMIT_CMD_memorysize?=	ulimit -m `ulimit -H -m`

_OPSYS_HAS_GMAKE=	yes	# GODI: we simply assume gmake
_OPSYS_HAS_MANZ=	no	# MANZ controls gzipping of man pages
_PREFORMATTED_MAN_DIR=	cat	# directory where catman pages are

# flags passed to the linker to extract all symbols from static archives.
# this is GNU ld.
_OPSYS_WHOLE_ARCHIVE_FLAG?=	-Wl,--whole-archive
_OPSYS_NO_WHOLE_ARCHIVE_FLAG?=	-Wl,--no-whole-archive

# Library stuff:
.if defined(W32PORT)
CREATE_SHLIBS=		yes
.else
CREATE_SHLIBS=		no
.endif
SHLIB_TYPE=		PE

# no ELF_RPATH
# no ELF_RPATH_FLAG

# Windows requires that native executables have this filename suffix:
EXEC_SUFFIX=		.exe
