# $NetBSD: defs.Darwin.mk,v 1.50 2003/04/15 05:29:46 grant Exp $
#
# Variable definitions for the Darwin operating system.

.include "${.PARSEDIR}/defs.cmd.mk"

CC=		${GCC}
XARGS=		${XARGS_EXE}
PKGLOCALEDIR=	share

# -no-cpp-precomp made a lot of problems (e.g. bug #123). For that reasons,
# it is commented out globally. If needed for individual packages, it can 
# be added to local package Makefiles again.
# CPP_PRECOMP_FLAGS?=	-no-cpp-precomp	# use the GNU cpp, not the OS X cpp
CPP_PRECOMP_FLAGS?=

# Furthermore, we force using "gcc -E" as preprocessor:
CPP=		${GCC} -E

DEF_UMASK?=		0022
EXPORT_SYMBOLS_LDFLAGS?=	# Don't add symbols to the dynamic symbol table
ULIMIT_CMD_datasize?=	ulimit -d `ulimit -H -d`
ULIMIT_CMD_stacksize?=	ulimit -s `ulimit -H -s`
ULIMIT_CMD_memorysize?=	ulimit -m `ulimit -H -m`

_OPSYS_HAS_GMAKE=	yes	# GNU make is standard
_OPSYS_HAS_MANZ=	yes	# MANZ controls gzipping of man pages
_OPSYS_RPATH_NAME=	darwin_has_no_rpath
_PREFORMATTED_MAN_DIR=	cat	# directory where catman pages are

# flags passed to the linker to extract all symbols from static archives.
# this is GNU ld.
_OPSYS_WHOLE_ARCHIVE_FLAG=	-Wl,--whole-archive
_OPSYS_NO_WHOLE_ARCHIVE_FLAG=	-Wl,--no-whole-archive

# Library stuff:
CREATE_SHLIBS=		yes
SHLIB_TYPE=		MachO
# no ELF_RPATH
# no ELF_RPATH_FLAG

.if !defined(DEBUG_FLAGS)
_STRIPFLAG_CC?=		-Wl,-x	# cc(1) option to strip
_STRIPFLAG_INSTALL?=	-s	# install(1) option to strip
.endif
