# $NetBSD: defs.FreeBSD.mk,v 1.21 2003/04/15 05:29:46 grant Exp $
#
# Variable definitions for the FreeBSD operating system.

.include "${.PARSEDIR}/defs.cmd.mk"

PKGLOCALEDIR=	share
XARGS=		${XARGS_EXE}
CC=		${GCC}

CPP_PRECOMP_FLAGS?=	# unset
DEF_UMASK?=		0022
#.if ${OBJECT_FMT} == "ELF"
EXPORT_SYMBOLS_LDFLAGS?=-Wl,-E	# add symbols to the dynamic symbol table
#.else
#EXPORT_SYMBOLS_LDFLAGS?=-Wl,--export-dynamic
#.endif
PKG_TOOLS_BIN?=		${LOCALBASE}/sbin
ULIMIT_CMD_datasize?=	ulimit -d `ulimit -H -d`
ULIMIT_CMD_stacksize?=	ulimit -s `ulimit -H -s`
ULIMIT_CMD_memorysize?=	ulimit -m `ulimit -H -m`

_OPSYS_HAS_GMAKE=	yes	# GODI: we simply assume we have gmake
_OPSYS_HAS_MANZ=	yes	# MANZ controls gzipping of man pages
_PREFORMATTED_MAN_DIR=	cat	# directory where catman pages are

# flags passed to the linker to extract all symbols from static archives.
# this is GNU ld.
_OPSYS_WHOLE_ARCHIVE_FLAG=	-Wl,--whole-archive
_OPSYS_NO_WHOLE_ARCHIVE_FLAG=	-Wl,--no-whole-archive

# Library stuff:
CREATE_SHLIBS=	      	yes
SHLIB_TYPE=		ELF
ELF_RPATH=		yes
ELF_RPATH_FLAG=		-R

.if !defined(DEBUG_FLAGS)
_STRIPFLAG_CC?=		-s	# cc(1) option to strip
_STRIPFLAG_INSTALL?=	-s	# install(1) option to strip
.endif
