# $NetBSD: defs.IRIX.mk,v 1.30 2003/07/11 15:40:19 jschauma Exp $
#
# Variable definitions for the IRIX operating system.

.include "${.PARSEDIR}/defs.cmd.mk"

PKGLOCALEDIR=	share
XARGS=		${XARGS_EXE}
CC=		${GCC}

CPP_PRECOMP_FLAGS?=	# unset
DEF_UMASK?=		022
EXPORT_SYMBOLS_LDFLAGS?=		# Don't add symbols to the dynamic symbol table
ULIMIT_CMD_datasize?=	ulimit -d `ulimit -H -d`
ULIMIT_CMD_stacksize?=	ulimit -s `ulimit -H -s`
ULIMIT_CMD_memorysize?=	ulimit -v `ulimit -H -v`

_OPSYS_HAS_GMAKE=	yes		# GODI: we simply assume gmake
_OPSYS_HAS_MANZ=	no		# no MANZ for gzipping of man pages
_PREFORMATTED_MAN_DIR=	man		# directory where catman pages are

# flags passed to the linker to extract all symbols from static archives.
# XXX:
# These flags are for the IRIX linker.  If GNU ld is used, these would need
# to be set to --{no-}whole-archive.  So, ugh, let's say we only do
# IRIX tools for the time being.
_OPSYS_WHOLE_ARCHIVE_FLAG=	-Wl,-all
_OPSYS_NO_WHOLE_ARCHIVE_FLAG=	-Wl,-notall

# Library stuff:
CREATE_SHLIBS=	      	yes
SHLIB_TYPE=		ELF
ELF_RPATH=		yes
ELF_RPATH_FLAG=		-rpath

# IRIX has /usr/include/iconv.h, but it's not GNU iconv, so mark it
# incompatible.
_INCOMPAT_ICONV=       IRIX-*-*

.if !defined(DEBUG_FLAGS)
_STRIPFLAG_CC?=		-s	# cc(1) option to strip
_STRIPFLAG_INSTALL?=	-s	# install(1) option to strip
.endif

CONFIGURE_ENV+=		ABI=${ABI}
MAKE_ENV+=		ABI=${ABI}
