# $NetBSD: defs.Linux.mk,v 1.53 2003/06/06 19:07:42 jschauma Exp $
#
# Variable definitions for the Linux operating system. Unfortunately,
# there is no standard whether commands are in /bin or in /usr/bin;
# it is only guaranteed that some commands must be in /bin:
# http://www.pathname.com/fhs/2.2/fhs-3.4.html
#
# Because of this, the paths of the commands are looked up
# by "bootstrap", and are put into defs.cmd.mk

.include "${.PARSEDIR}/defs.cmd.mk"

PKGLOCALEDIR=share
XARGS=		${XARGS_EXE} -r
CC=	${GCC}

CPP_PRECOMP_FLAGS?=	# unset
DEF_UMASK?=		022
EXPORT_SYMBOLS_LDFLAGS?=	# Don't add symbols to the dynamic symbol table
ULIMIT_CMD_datasize?=	ulimit -d `ulimit -H -d`
ULIMIT_CMD_stacksize?=	ulimit -s `ulimit -H -s`
ULIMIT_CMD_memorysize?=	ulimit -m `ulimit -H -m`

_OPSYS_HAS_GMAKE=	yes	# GNU make is standard
_OPSYS_HAS_MANZ=	no	# no MANZ for gzipping of man pages
_PREFORMATTED_MAN_DIR=	cat	# directory where catman pages are

# flags passed to the linker to extract all symbols from static archives.
# this is GNU ld.
_OPSYS_WHOLE_ARCHIVE_FLAG=	-Wl,--whole-archive
_OPSYS_NO_WHOLE_ARCHIVE_FLAG=	-Wl,--no-whole-archive

# Library stuff:
CREATE_SHLIBS=	      	yes
SHLIB_TYPE=		ELF
ELF_RPATH=		yes
ELF_RPATH_FLAG=		-R

.if !defined(DEBUG_FLAGS)
_STRIPFLAG_CC?=		-s	# cc(1) option to strip
_STRIPFLAG_INSTALL?=	-s	# install(1) option to strip
.endif
