# $NetBSD: defs.NetBSD.mk,v 1.50 2003/07/23 20:13:47 jmc Exp $
#
# Variable definitions for the NetBSD operating system.

.include "${.PARSEDIR}/defs.cmd.mk"

PKGLOCALEDIR=	share
XARGS=		${XARGS_EXE}
CC=		${GCC}

CPP_PRECOMP_FLAGS?=	# unset
DEF_UMASK?=		0022
#.if ${OBJECT_FMT} == "ELF"
EXPORT_SYMBOLS_LDFLAGS?=-Wl,-E	# add symbols to the dynamic symbol table
#.else
#EXPORT_SYMBOLS_LDFLAGS?=-Wl,--export-dynamic
#.endif
ULIMIT_CMD_datasize?=	ulimit -d `ulimit -H -d`
ULIMIT_CMD_stacksize?=	ulimit -s `ulimit -H -s`
ULIMIT_CMD_memorysize?=	ulimit -m `ulimit -H -m`

_OPSYS_HAS_GMAKE=	yes	# GODI: we simply assume gmake
_OPSYS_HAS_MANZ=	yes	# MANZ controls gzipping of man pages
_PREFORMATTED_MAN_DIR=	cat	# directory where catman pages are

# flags passed to the linker to extract all symbols from static archives.
# this is GNU ld.
_OPSYS_WHOLE_ARCHIVE_FLAG=	-Wl,--whole-archive
_OPSYS_NO_WHOLE_ARCHIVE_FLAG=	-Wl,--no-whole-archive

# for programs which use dlopen()
# not necessary since 1.6 (shared libs are linked against libgcc_pic)
.if !empty(OS_VERSION:M1.5*)
LINK_ALL_LIBGCC_HACK=	-Wl,--whole-archive -lgcc -Wl,--no-whole-archive
.endif

# Library stuff:
# Some systems are ELF, some are a.out. Unfortunately, there is no
# easy way to check it, so the configure script writes this into the
# file defs.cmd.mk as _SHLIB_TYPE.
CREATE_SHLIBS=	      	no
SHLIB_TYPE=		${_SHLIB_TYPE}
.if ${_SHLIB_TYPE} == "ELF"
ELF_RPATH=		yes
ELF_RPATH_FLAG=		-rpath,
.endif

.if !defined(DEBUG_FLAGS)
_STRIPFLAG_CC?=		-s	# cc(1) option to strip
_STRIPFLAG_INSTALL?=	-s	# install(1) option to strip
.endif

# Add -mieee to CFLAGS and FFLAGS for NetBSD->=1.5V-alpha
#.for __tmp__ in 1.5[V-Z] 1.5[A-Z][A-Z]* 1.[6-9]* [2-9].*
#.  if ${MACHINE_PLATFORM:MNetBSD-${__tmp__}-alpha} != ""
#CFLAGS+=	-mieee
#FFLAGS+=	-mieee
#.  endif    # MACHINE_PLATFORM
#.endfor     # __tmp__
