# $NetBSD: defs.SunOS.mk,v 1.62 2003/07/11 14:33:45 grant Exp $
#
# Variable definitions for the SunOS/Solaris operating system.

.include "${.PARSEDIR}/defs.cmd.mk"

PKGLOCALEDIR=	lib
XARGS=		${XARGS_EXE}
CC=		${GCC}
TEST=		/usr/bin/test
# Note: /usr/bin/test is slightly different than sh's test!

CPP_PRECOMP_FLAGS?=	# unset
DEF_UMASK?=		022
EXPORT_SYMBOLS_LDFLAGS?=	# Don't add symbols to the dynamic symbol table
ULIMIT_CMD_datasize?=	ulimit -d `ulimit -H -d`
ULIMIT_CMD_stacksize?=	ulimit -s `ulimit -H -s`
ULIMIT_CMD_memorysize?=	ulimit -v `ulimit -H -v`

_OPSYS_HAS_GMAKE=	yes		# GODI: we assume it
_OPSYS_HAS_MANZ=	no		# no MANZ for gzipping of man pages
_PREFORMATTED_MAN_DIR=	man		# directory where catman pages are

# flags passed to the linker to extract all symbols from static archives.
# this is the standard Solaris linker, /usr/ccs/bin/ld. The use of GNU
# ld is not currently supported.
_OPSYS_WHOLE_ARCHIVE_FLAG=	-z allextract
_OPSYS_NO_WHOLE_ARCHIVE_FLAG=	-z defaultextract

# Library stuff:
CREATE_SHLIBS=	      	yes
SHLIB_TYPE=		ELF
ELF_RPATH=		yes
ELF_RPATH_FLAG=		-R

# Solaris has /usr/include/iconv.h, but it's not GNU iconv, so mark it
# incompatible.
_INCOMPAT_ICONV=       SunOS-*-*

.if !defined(DEBUG_FLAGS)
_STRIPFLAG_CC?=		-s	# cc(1) option to strip
_STRIPFLAG_INSTALL?=	-s	# install(1) option to strip
.endif
